Page MenuHomePhabricator

Identify Arcanist showstoppers for wikimedians
Closed, ResolvedPublic

Description

Arcanist (aka Arc) is the Phabricator tool to upload patches for code review. You can find a reasoning for Arcanist to exist by its creator. Is it missing anything essential for code review in Wikimedia?

There are many tasks related to Arcanist, and many more that might come. However, which ones are the real showstoppers that we either fix in Arcanist or find workarounds elsewhere?

We need to identify real showstoppers and their potential solutions in order to plan the code review migration accordingly (T18).

See also https://www.mediawiki.org/wiki/Phabricator/Arcanist

Related Objects

Event Timeline

Qgil created this task.Oct 9 2014, 3:22 PM
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Aklapper, Qgil, greg and 15 others.
Qgil updated the task description. (Show Details)Oct 10 2014, 8:22 AM
Qgil added a comment.Oct 10 2014, 11:54 AM

After going through all the Arc related tasks, I could only find T612 as a potential blocker.

Maybe others read the current open tasks different. If this is your case, please point us to tasks that you consider blockers indeed, or create new ones.

Maybe we find more while working on T560: Proof of concept of code review in Phabricator, but I don't see anything that could stop the work of the PoC itself.

Qgil lowered the priority of this task from High to Normal.Oct 20 2014, 10:35 PM

I'm assuming this means show-stoppers for the POC. Something might be good enough for the POC, but we might not be sure whether it's good enough for everything.

Also, is this meant to include Differential (the actual code-review tool) show-stoppers? If so, it should be renamed, and we should go through T23 again looking for show-stoppers.

For now, I'll add some potential arcanist blockers (open for discussion).

Qgil added a comment.Nov 7 2014, 7:13 AM

This task focuses on Arcanist alone. It would be interesting to list here all blockers, highlighting blockers for the POC if needed.

T167: Align basics of current Gerrit code-review process with Differential focuses on code review (Differential). T31: [keyresult] Connect Differential code review with continuous integration Focuses on continuous integration.

These three tasks correspond to the three steps: upload, review, and submit. Does this separation make sense?

Qgil updated the task description. (Show Details)Nov 7 2014, 11:13 AM

It's probably reasonable enough. If someone's not sure where to put it, they can use T167: Align basics of current Gerrit code-review process with Differential.

Qgil lowered the priority of this task from Normal to Low.Nov 27 2014, 7:57 AM

Currently Gerrit-Migration is in the queue of Phabricator subprojects after Project-Management and Gitblit-Deprecate. If someone wants to work on this task, take it and assign the priority accordingly.

hashar removed a subscriber: hashar.Mar 4 2015, 9:26 AM
cscott added a subscriber: cscott.Sep 17 2015, 1:54 PM
greg closed this task as Resolved.Oct 22 2015, 9:38 PM
greg claimed this task.

I'm closing this task. There is the Gerrit-Migration project (which this is a part of) to track these blockers. If you have any more, please do report them in Gerrit-Migration and whatever piece of software it relates to (eg, Differential (arc issues can go in Differential) or Diffusion or whatnot).

Restricted Application added a project: User-greg. · View Herald TranscriptOct 22 2015, 9:38 PM
demon moved this task from Tooling to Done/Archive on the Gerrit-Migration board.Dec 1 2015, 6:45 PM
QChris removed a subscriber: QChris.Jan 24 2016, 9:33 PM